@import "./colors.module.scss";

.main_container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  min-height: calc(100vh - 120px);
  padding: 100px 0;
  width: 80%;
  margin: auto;
  max-width: 1500px;
  @media screen and (min-width: 840px) and (max-width: 899px) {
    width: 90%;
  }
  @media (max-width: 839px) {
    grid-template-columns: 1fr;
    padding-top: 0;
  }
  .container_1 {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    gap: 50px;
    order: 1;
    @media (max-width: 839px) {
      order: 2;
    }
    @media (min-width: 1499px) {
      padding-left: 10%;
    }
    .sub_container_1 {
      display: flex;
      flex-direction: column;
      gap: 20px;

      h4 {
        font-size: 28px;
        font-weight: 600;
        @media (max-width: 599px) {
          font-size: 22px;
        }
      }
      h3 {
        font-size: 46px;
        letter-spacing: 0.8px;
        color: $light-green;
        @media (max-width: 599px) {
          font-size: 36px;
        }
      }
      p {
        font-size: 16px;
        font-weight: 400;
        @media (max-width: 599px) {
          font-size: 15px;
        }
      }
      button {
        width: 150px;
        padding: 12px;
        border-radius: 8px;
        font-weight: 600;
        font-size: 16px;
        gap: 5px;
        box-shadow: rgb(35, 189, 149, 0.3) 0px 7px 29px 0px;
        @media (max-width: 599px) {
          width: 120px;
          padding: 10px;
          font-size: 14px;
          letter-spacing: 0.6;
          margin-top: -20px;
        }
        a {
          color: #fff !important;
          display: flex;
          align-items: center;
          justify-content: center;
          gap: 5px;
          text-decoration: none;
        }
      }
    }
    .sub_container_2 {
      display: flex;
      gap: 40px;
      align-items: center;
      font-weight: 500;
      font-size: 18px;
      @media screen and (min-width: 900px) and (max-width: 1200px) {
        gap: 30px;
      }

      .social_icons {
        display: flex;
        gap: 20px;
        .social_icon {
          font-size: 32px;
          margin-top: -5px;
          cursor: pointer;
          transition: ease-in-out 0.3s;
        }
        .social_icon:hover {
          color: $light-green;
        }
      }
    }
  }
  .img_container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    bottom: 80px;
    order: 2;

    @media (max-width: 839px) {
      order: 1;
      transform: scale(0.7);
      bottom: 0;
    }
    @media screen and (min-width: 840px) and (max-width: 1200px) {
      transform: scale(0.8);
    }

    .polygon {
      @media (max-width: 599px) {
        width: 320px;
        height: 250px;
      }
    }
    .my_img {
      position: absolute;

      @media (max-width: 599px) {
        width: 220px;
        height: 235px;
      }
    }
  }
}
